﻿using System;
using System.Collections.Generic;
using System.Net.Http;
using TpmDAO.Entity;
using TpmDAO.Persistence;
using System.Linq;
using System.Web.Http;
using System.Text.RegularExpressions;
using Utils;
using TpmDAO.Persistence.Achievements;

namespace TpmAPI.Controllers
{
    [RoutePrefix("api/achievements")]
    public class AchievementController : BaseController
    {
        [HttpPut]
        [Route("getAchievements")]
        public HttpResponseMessage GetAchievements(List<Person> Persons)
        {
            var Response = new HttpResponseMessage();
            try
            {
                var Achievements = UserAchievementsDAO.GetAchievementsByPerson(Persons[0].IdPerson);

                return SuccessTreatment(Achievements, Request);
            }
            catch (Exception e)
            {
                return ExceptionTreatment(e, Request, "Message Here");
            }
        }
    }
}
