﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace TpmDAO.Entity
{
    [Table("UserAchievements")]
    public class UserAchievement
    {
        [Key, Column("idAchievement", Order = 0), ForeignKey("Achievement")]
        public int IdAchievement { get; set; }

        [Key, Column("idPerson", Order = 1), ForeignKey("Person")]
        public int IdPerson { get; set; }

        [Column("unlockDate")]
        public DateTime UnlockDate { get; set; }

        public virtual Person Person { get; set; }

        public virtual Achievement Achievement { get; set; }
    }
}
