﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Web.Script.Serialization;

namespace TpmDAO.Entity
{
    [Table("State")]
    public class State
    {
        [DatabaseGenerated(DatabaseGeneratedOption.Identity)]
        [Key, Column("idState")]
        public int IdState { get; set; }

        [Column("nameState")]
        [MaxLength(50)]
        public string NameState { get; set; }

        [Column("uf")]
        [MaxLength(2)]
        public string Uf { get; set; }

        [ScriptIgnore]
        public virtual ICollection<City> Cities { get; set; }
    }
}
