﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace TpmDAO.Entity
{
    [Table("CategoryClass")]
    public class CategoryClass
    {
        [DatabaseGenerated(DatabaseGeneratedOption.Identity)]
        [Key, Column("idCategoryClass")]
        public int IdCategoryClass { get; set; }

        [Column("class")]
        [MaxLength(1)]
        public string Class { get; set; }

        public virtual ICollection<Category> Categories { get; set; }
    }
}
