﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace TpmDAO.Entity
{
    [Table("CategoryGender")]
    public class CategoryGender
    {
        [DatabaseGenerated(DatabaseGeneratedOption.Identity)]
        [Key, Column("idCategoryGender")]
        public int IdCategoryGender { get; set; }

        [Column("gender")]
        [MaxLength(1)]
        public string Gender { get; set; }

        [Column("description")]
        [MaxLength(12)]
        public string Description { get; set; }

        public virtual ICollection<Category> Categories { get; set; }
    }
}
