﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace TpmDAO.Entity
{
    [Table("FacilityPicture")]
    public class FacilityPicture
    {
        [DatabaseGenerated(DatabaseGeneratedOption.Identity)]
        [Key, Column("idPicture")]
        public int IdPicture { get; set; }

        [Column("path")]
        [MaxLength(200)]
        public string Path { get; set; }

        [Column("idFacility"), ForeignKey("Facility")]
        public int IdFacility { get; set; }

        public virtual Facility Facility { get; set; }
    }
}
