﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace TpmDAO.Entity
{
    [Table("Round")]
    public class Round
    {
        [DatabaseGenerated(DatabaseGeneratedOption.Identity)]
        [Key, Column("idRound")]
        public int IdRound { get; set; }

        [Column("nameRound")]
        [MaxLength(30)]
        public string NameRound { get; set; }

        public virtual ICollection<Match> Matches { get; set; }
    }
}
