﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace TpmDAO.Entity
{
    [Table("Surface")]
    public class Surface
    {
        [DatabaseGenerated(DatabaseGeneratedOption.Identity)]
        [Key, Column("idSurface")]
        public int IdSurface { get; set; }

        [Column("nameSurface")]
        [MaxLength(20)]
        public string NameSurface { get; set; }

        public virtual ICollection<Match> Matches { get; set; }
    }
}
