﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace TpmDAO.Entity
{
    public class Bracket
    {
        public string TournametName { get; set; }
        public string TournamentDate { get; set; }
        public string TournamentCategory { get; set; }
        public List<string> Names { get; set; }
        public List<Rounds> Rounds { get; set; }
    }

    public class Rounds
    {
        public List<RMatch> Players { get; set; }
    }

    public class RMatch
    {
        public Player1 player1 { get; set; }

        public string date { get; set; }

        public Player2 player2 { get; set; }
    }

    public class Player1
    {
        public string name { get; set; }

        public bool winner { get; set; }

        public int ID { get; set; }

    }

    public class Player2
    {
        public string name { get; set; }

        public bool winner { get; set; }

        public int ID { get; set; }
    }
}
