﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Web.Script.Serialization;

namespace TpmDAO.Entity
{
    [Table("Hand")]
    public class Hand
    {
        [DatabaseGenerated(DatabaseGeneratedOption.Identity)]
        [Key, Column("idHand")]
        public int IdHand { get; set; }

        [Column("description")]
        [MaxLength(20)]
        public string Description { get; set; }

        [ScriptIgnore]
        public virtual ICollection<Person> People { get; set; }
    }
}
