﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations.Schema;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace TpmDAO.Entity
{
    [Table("Role")]
    public class Role
    {
        [DatabaseGenerated(DatabaseGeneratedOption.Identity)]
        [Key, Column("idRole")]
        public int IdRole { get; set; }

        [Column("nameRole")]
        [MaxLength(50)]
        public string NameRole { get; set; }

        public virtual ICollection<UserRole> Users { get; set; }
    }
}
