﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace TpmDAO.Entity
{
    [Table("EnrolledPlayers")]
    public class EnrolledPlayers
    {
        [Key, Column("idPerson", Order = 0), ForeignKey("Person")]
        public int IdPerson { get; set; }

        [Key, Column("idTournament", Order = 1), ForeignKey("Tournament")]
        public int IdTournament { get; set; }

        [Column("idCategory"), ForeignKey("Category")]
        public int IdCategory { get; set; }

        [Column("enrollmentDate")]
        public DateTime? EnrollmentDate { get; set; }

        public virtual Tournament Tournament { get; set; }

        public virtual Person Person { get; set; }

        public virtual Category Category { get; set; }
    }
}
