﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace TpmDAO.Entity
{
    [Table("Umpire")]
    public class Umpire
    {
        [Key, Column("idTournament", Order = 0), ForeignKey("Tournament")]
        public int IdTournament { get; set; }

        [Key, Column("idPerson", Order = 1), ForeignKey("Person")]
        public int IdPerson { get; set; }

        [NotMapped]
        public string Name { get; set; }

        [NotMapped]
        public string Email { get; set; }

        public virtual Tournament Tournament { get; set; }

        public virtual Person Person { get; set; }
    }
}
