﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using TpmDAO.Entity;
using TpmDAO.Generic;
using Utils;

namespace TpmDAO.Persistence
{
    public class CityDAO : GenericDAO<City, int>
    {

        public static City FindByKeyComplete(int IdCity)
        {
            try
            {
                using (Connection Con = new Connection())
                {
                    return Con.DbSetCity.Include("State").FirstOrDefault(x => x.IdCity == IdCity);
                }
            }
            catch (Exception e)
            {
                throw new Exception(ExceptionTreatment.GetExceptionDetails(e));
            }
        }
    }
}
