﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using TpmDAO.Entity;
using TpmDAO.Generic;
using Utils;

namespace TpmDAO.Persistence
{
    public class MessageDAO : GenericDAO<Message, int>
    {

        public static Message FindByKeyComplete(int IdMessage)
        {
            try
            {
                using (Connection Con = new Connection())
                {
                    return Con.DbSetMessage.Include("User.Person").FirstOrDefault(x => x.IdMessage == IdMessage);
                }
            }
            catch (Exception e)
            {
                throw new Exception(ExceptionTreatment.GetExceptionDetails(e));
            }
        }

        public static List<Message> GetMessages()
        {
            try
            {
                using (Connection Con = new Connection())
                {
                    return Con.DbSetMessage.Include("User.Person").ToList().Where(x => x.Date.Date == DateTime.Now.Date).ToList();
                }
            }
            catch (Exception e)
            {
                throw new Exception(ExceptionTreatment.GetExceptionDetails(e));
            }
        }
    }
}
