﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Web;
using TpmMVC.Util.CustomValidators;

namespace TpmMVC.Areas.RestrictedArea.Models.Message
{
    public class MessageViewModel
    {
        [Required(ErrorMessage ="Insira um texto!")]
        [DisplayName("Mensagem")]
        public string MessageBody { get; set; }

        [DropDownValidator(ErrorMessage = "Selecione um assunto!")]
        [DisplayName("Assunto")]
        public string Subject { get; set; }
    }
}