﻿using System.Web.Mvc;

namespace TpmMVC.Areas.RestrictedArea
{
    public class RestrictedAreaAreaRegistration : AreaRegistration 
    {
        public override string AreaName 
        {
            get 
            {
                return "RestrictedArea";
            }
        }

        public override void RegisterArea(AreaRegistrationContext context) 
        {
            context.MapRoute(
                "RestrictedArea",
                "RestrictedArea/{controller}/{action}/{id}",
                new { action = "Index", id = UrlParameter.Optional }
            );
        }
    }
}