﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Web;
using TpmMVC.CustomValidators;

namespace TpmMVC.Models
{
    public class ForgotPasswordModel
    {
        [Required(ErrorMessage = "E-mail é obrigatório!")]
        [EmailAddress(ErrorMessage = "E-mail inválido!")]
        [RegisteredEmailValidator(ErrorMessage = "E-mail não encontrado!")]
        [DisplayName("Informe seu e-mail")]
        public string Email { get; set; }
    }
}