﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Web;

namespace TpmMVC.Models
{
    public class LoginViewModel
    {
        [Required(ErrorMessage = "Informe o login!")]
        [DisplayName("Login")]
        [EmailAddress(ErrorMessage = "Email Inválido")]
        public string Login { get; set; }

        [Required(ErrorMessage = "Informe sua senha!")]
        [DisplayName("Senha")]
        public string Password { get; set; }
    }
}