﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Web;

namespace TpmMVC.Util.CustomValidators
{
    public class DateValidator : ValidationAttribute
    {
        public override bool IsValid(object value)
        {
            try
            {
                if (value != null)
                {
                    DateTime Data = DateTime.Parse(value.ToString());
                    if (Data.Date >= DateTime.Now.Date)
                        return true;
                    else
                        return false;
                }
                else
                    return false;
            }
            catch (Exception e)
            {
                throw new Exception(e.Message);
            }
        }
    }
}