﻿using System;
using System.Collections.Generic;
using System.Net.Http;
using TpmDAO.Entity;
using TpmDAO.Persistence;
using System.Linq;
using System.Web.Http;
using System.Text.RegularExpressions;
using Utils;
using TpmDAO.Persistence.Achievements;

namespace TpmAPI.Controllers
{
    [RoutePrefix("api/stats")]
    public class TotalStatsController : BaseController
    {
        [HttpPut]
        [Route("getStats")]
        public HttpResponseMessage GetStats(List<Person> Persons)
        {
            var Response = new HttpResponseMessage();
            try
            {
                List<TotalStats> TotalStats = new List<TotalStats>();
                var TotalStat = TotalStatsDAO.FindByKey(Persons[0].IdPerson);
                TotalStats.Add(TotalStat);
                return SuccessTreatment(TotalStats, Request);
            }
            catch (Exception e)
            {
                return ExceptionTreatment(e, Request, "Message Here");
            }
        }
    }
}
