﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace TpmDAO.Entity
{
    [Table("Achievement")]
    public class Achievement
    {
        [DatabaseGenerated(DatabaseGeneratedOption.Identity)]
        [Key, Column("idAchievement") ]
        public int IdAchievement { get; set; }

        [Column("nameAchievement")]
        [MaxLength(40)]
        public string NameAchievement { get; set; }

        [Column("description")]
        [MaxLength(150)]
        public string Description { get; set; }

        [NotMapped]
        public bool Unlocked { get; set; }

        public virtual ICollection<UserAchievement> Users { get; set; }
    }
}
