﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace TpmDAO.Entity
{
    [Table("City")]
    public class City
    {
        [DatabaseGenerated(DatabaseGeneratedOption.Identity)]
        [Key, Column("idCity")]
        public int IdCity { get; set; }

        [Column("nameCity")]
        [MaxLength(50)]
        public string NameCity { get; set; }

        public virtual State State { get; set; }

        [ForeignKey("State"), Column("idState")]
        public int IdState { get; set; }
    }
}
