﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace TpmDAO.Entity
{
    [Table("CategoryAge")]
    public class CategoryAge
    {
        [DatabaseGenerated(DatabaseGeneratedOption.Identity)]
        [Key, Column("idCategoryAge")]
        public int IdCategoryAge { get; set; }

        [Column("minAge")]
        public int MinAge { get; set; }

        [Column("maxAge")]
        public int MaxAge { get; set; }

        [Column("description")]
        [MaxLength(20)]
        public string Description { get; set; }

        public virtual ICollection<Category> Categories { get; set; }
    }
}
