﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace TpmDAO.Entity.Misc.APIReturn
{
    public class TournamentForApp
    {
        public TournamentDetails TournamentInfo { get; set; }

        public int IdTournament { get; set; }

        public int IdCategory { get; set; }

        public string Result { get; set; }

        public decimal Prize { get; set; }

        public bool IsEnrolled { get; set; }

        public int Draw { get; set; }

        public string Category { get; set; }

        public int TotalPlayers { get; set; }

        public bool IsOver { get; set; }

        public bool HasAnotherMatch { get; set; }
    }

    public class TournamentDetails
    {
        public string NameTournament { get; set; }

        public DateTime StartDate { get; set; }

        public string TournamentPicture { get; set; }

        public string Facility { get; set; }

        public List<TournamentMatches> Matches { get; set; } = new List<TournamentMatches>();
    }

    public class TournamentMatches
    {
        public string Surface { get; set; }

        public string Round { get; set; }

        public int IdRound { get; set; }

        public bool IsOver { get; set; }

        public bool Won { get; set; }

        public DateTime? DateMatch { get; set; }

        public List<Stats> Stats { get; set; } = new List<Entity.Stats>();
    }
}
