﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Web.Script.Serialization;

namespace TpmDAO.Entity
{
    [Table("UserRole")]
    public class UserRole
    {
        [Key, Column("idRole", Order = 0), ForeignKey("Role")]
        public int IdRole { get; set; }

        [Key, Column("idUser", Order = 1), ForeignKey("User")]
        public int IdUser { get; set; }

        [Column("status")]
        public bool Status { get; set; } = true;

        [Column("isNew")]
        public bool IsNew { get; set; } = false;

        [Column("requisitionDate")]
        public DateTime RequisitionDate { get; set; } = DateTime.Now;

        [ScriptIgnore]
        public virtual User User { get; set; }

        public virtual Role Role { get; set; }


    }
}
