﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations.Schema;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace TpmDAO.Entity
{
    [Table("Draw")]
    public class Draw
    {
        [DatabaseGenerated(DatabaseGeneratedOption.Identity)]
        [Key, Column("idDraw")]
        public int IdDraw { get; set; }

        [Column("idTournament", Order = 0), ForeignKey("CategoriesInTournament")]
        public int IdTournament { get; set; }

        [Column("idCategory", Order = 1), ForeignKey("CategoriesInTournament")]
        public int IdCategory { get; set; }

        public virtual CategoriesInTournament CategoriesInTournament { get; set; }

        public virtual ICollection<Match> Matches { get; set; }
    }
}
