﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using TpmDAO.Entity;
using TpmDAO.Generic;
using Utils;

namespace TpmDAO.Persistence
{
    public class FacilityPictureDAO : GenericDAO<FacilityPicture, int>
    {
        public static FacilityPicture FindByUrl(string Url)
        {
            try
            {
                using(Connection Con = new Connection())
                {
                    return Con.DbSetFacilityPicture.Where(x => x.Path.Equals(Url)).FirstOrDefault();
                }
            }
            catch (Exception e)
            {
                throw new Exception(ExceptionTreatment.GetExceptionDetails(e));
            }
        }
    }
}
