﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using TpmDAO.Entity;
using TpmDAO.Generic;

namespace TpmDAO.Persistence
{
    public class RoleDAO : GenericDAO<Role, int>
    {

        public static List<UserRole> FindUserRoles(string Email)
        {
            try
            {
                using(Connection Con = new Connection())
                {
                    var User = Con.DbSetUser.FirstOrDefault(x => x.Email.Equals(Email));
                    return  Con.DbSetUserRole.Include("Role").Where(x => x.IdUser == User.IdUser).ToList();
                }
            }
            catch (Exception e)
            {
                throw new Exception(e.Message);
            }
        }

    }
}
