﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Web;

namespace TpmMVC.Models
{
    public class ResetPasswordViewModel
    {

        public string UserName { get; set; }

        public string IdUser { get; set; }

        public string Code { get; set; }

        [Required(ErrorMessage = "Informe a senha!")]
        [MinLength(4, ErrorMessage = "Senha muito fraca!")]
        [DisplayName("Nova Senha")]
        [DataType(DataType.Password)]
        public string Password { get; set; }

        [Required(ErrorMessage = "Repita a senha!")]
        [DisplayName("Confirme a Senha")]
        [DataType(DataType.Password)]
        [Compare("Password", ErrorMessage = "As senhas não conferem!")]
        public string ConfirmPassword { get; set; }
    }
}