﻿using Firebase.Storage;
using Firebase.Auth;
using System;
using System.IO;
using System.Threading.Tasks;
using System.Web;
using System.Threading;

namespace TpmMVC.Util
{
    public class Images
    {

        private static string ApiKey = "AIzaSyCe7X8FrWHUz-yFDegjhDBPU1JJfLOOEvw";

        private static string Bucket = "tennis-performance-monitor.appspot.com";

        public static async Task<string> UploadPicture(HttpPostedFileBase Photo,string FileName, string FolderName)
        {
            try
            {
                var auth = new FirebaseAuthProvider(new FirebaseConfig(ApiKey));
                var Stream = Photo.InputStream;
                var task = new FirebaseStorage(Bucket)
                    .Child("images")
                    .Child(FolderName)
                    .Child(FileName)
                    .PutAsync(Stream);

                // await the task to wait until upload completes and get the download url
                var downloadUrl = await task;
                return downloadUrl;
            }
            catch (Exception e)
            {
                throw new Exception(e.Message);
            }
        }

        public static async Task DeletePicture(string FileName, string FolderName)
        {
            try
            {
                var auth = new FirebaseAuthProvider(new FirebaseConfig(ApiKey));
                var task = new FirebaseStorage(Bucket)
                    .Child("images")
                    .Child(FolderName)
                    .Child(FileName)
                    .DeleteAsync();
                await task;
                // await the task to wait until upload completes and get the download url
            }
            catch (Exception e)
            {
                throw new Exception(e.Message);
            }
        }
    }
}