﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Utils
{
    public class ExceptionTreatment
    {
        public static string GetExceptionDetails(Exception e)
        {
            try
            {
                var Error = "";
                if (e.InnerException != null) { 
                    Error = e.InnerException.Message;

                    if (e.InnerException.InnerException != null)
                        Error += " - " + e.InnerException.InnerException.Message;

                    return Error;
                }
                else
                    return e.Message;
            }
            catch (Exception ex)
            {
                throw new Exception(ex.Message);
            }
        }
    }
}
